
#ifneq ($(TARGET_SIMULATOR),true)

LOCAL_PATH				:=	$(call my-dir)

include $(CLEAR_VARS)

CROSS_COMPILE			:=	$(CURDIR)/prebuilts/gcc/linux-x86/arm/armv7a-cros-linux-gnueabi-4.9.2/bin/armv7a-cros-linux-gnueabi-
TARGET_LINUXPATH		:=	$(CURDIR)/$(TARGET_OUT_INTERMEDIATES)/KERNEL_OBJ
TARGET_PREBUILT_KERNEL	:=	$(PRODUCT_OUT)/kernel

CY8CMBR31XX_MODULE		:=	$(LOCAL_PATH)/cy8cmbr31xx.ko
CY8CMBR31XX_SUBDIRS		:=	$(CURDIR)/$(LOCAL_PATH)
CY8CMBR31XX_SRC_FILES	:=	$(addprefix $(CY8CMBR31XX_SUBDIRS)/,module.c)
CY8CMBR31XX_CLEANUP		:=	$(addprefix $(CY8CMBR31XX_SUBDIRS)/,	\
								*.o								\
								*.mod.?							\
								.*cmd							\
								.tmp_versions					\
								Module.symvers					\
								modules.order					\
							)

LOCAL_MODULE			:=	cy8cmbr31xx.ko
LOCAL_MODULE_TAGS		:=	debug
LOCAL_MODULE_CLASS		:=	ETC
LOCAL_MODULE_PATH		:=	$(TARGET_OUT)/lib/modules
LOCAL_SRC_FILES			:=	cy8cmbr31xx.ko


$(CY8CMBR31XX_MODULE) : $(TARGET_PREBUILT_KERNEL) $(CY8CMBR31XX_SRC_FILES) $(CY8CMBR31XX_SUBDIRS)/Android.mk $(CY8CMBR31XX_SUBDIRS)/Makefile
	@make ARCH=arm CROSS_COMPILE=$(CROSS_COMPILE) -C $(TARGET_LINUXPATH) SUBDIRS=$(CY8CMBR31XX_SUBDIRS) modules
	@$(CROSS_COMPILE)strip --strip-unneeded $@
	@rm -rf $(CY8CMBR31XX_CLEANUP)


include $(BUILD_PREBUILT)

#endif
